## org.eclipse.m2m.atl.core.ui.vm.debug
Class ADWPDebuggee

    java.lang.Object
      java.lang.Thread
          org.eclipse.m2m.atl.debug.core.adwp.ADWP
              org.eclipse.m2m.atl.core.ui.vm.debug.ADWPDebuggee

All Implemented Interfaces:
  java.lang.Runnable

    public class ADWPDebuggee

extends ADWP

The ADWP Debuggee.

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class org.eclipse.m2m.atl.debug.core.adwp.ADWP
`CMD_CALL, CMD_CONTINUE, CMD_DISASSEMBLE, CMD_FINISH, CMD_GET, CMD_QUERY, CMD_SET, CMD_SET_BP, CMD_STEP, CMD_STEP_OVER, CMD_UNSET_BP, in, MSG_ANS, MSG_DISAS_CODE, MSG_STOPPED, MSG_TERMINATED, out, TYPE_BOOLEAN, TYPE_INTEGER, TYPE_NULL, TYPE_OBJECT, TYPE_REAL, TYPE_STRING`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`ADWPDebuggee(java.io.InputStream in, java.io.OutputStream out)` Creates a new Debuggee.

Method Summary
`protected ObjectReference` `readObjectReference(int id)` Reads an object reference.

Methods inherited from class org.eclipse.m2m.atl.debug.core.adwp.ADWP
`readCommand, readValue, run, sendMessage, writeValue`

Methods inherited from class java.lang.Thread

`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ADWPDebuggee

    public ADWPDebuggee(java.io.InputStream in,
                        java.io.OutputStream out)

  Creates a new Debuggee.

  Parameters:
    `in` - the debugging socket input stream
    `out` - the debugging socket output stream

Method Detail

### readObjectReference

    protected ObjectReference readObjectReference(int id)

  Reads an object reference.

  Specified by:
    `readObjectReference` in class `ADWP`
  Parameters:
    `id` - the object id
  Returns:
    the `ObjectReference`
  See Also:
    `ADWP.readObjectReference(int)`

Copyright 2007 IBM Corporation and others. All Rights Reserved.